Show / Hide Table of Contents

# UniTaskStatusExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class UniTaskStatusExtensions

##### Inheritance

System.Object → UniTaskStatusExtensions

### Members

#### Methods

Name | Description
--- | ---
IsCanceled(UniTaskStatus) | status == Canceled.
IsCompleted(UniTaskStatus) | status != Pending.
IsCompletedSuccessfully(UniTaskStatus) | status == Succeeded.
IsFaulted(UniTaskStatus) | status == Faulted.

### Methods

#### IsCanceled(UniTaskStatus)

status == Canceled.

    public static bool IsCanceled(this UniTaskStatus status)

##### Parameters

`status` UniTaskStatus

##### Returns

System.Boolean

#### IsCompleted(UniTaskStatus)

status != Pending.

    public static bool IsCompleted(this UniTaskStatus status)

##### Parameters

`status` UniTaskStatus

##### Returns

System.Boolean

#### IsCompletedSuccessfully(UniTaskStatus)

status == Succeeded.

    public static bool IsCompletedSuccessfully(this UniTaskStatus status)

##### Parameters

`status` UniTaskStatus

##### Returns

System.Boolean

#### IsFaulted(UniTaskStatus)

status == Faulted.

    public static bool IsFaulted(this UniTaskStatus status)

##### Parameters

`status` UniTaskStatus

##### Returns

System.Boolean